Subject: Re: bug#21965: 24.5; Emacs freezes when canceling at open file

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Nov 2015 09:29:22 +0200

> Date: Fri, 20 Nov 2015 14:45:23 -0800
> From: Maneesh Yadav <[email-masked]>
> Cc: [email-masked]
> 
> Ok I just did it again had to mash Ctrl-g a little (still not sure if
> it is Ctrl-g-g or Ctrl-g Ctrl-g that triggers it) but a similar
> backtrace.  Just confirming I could replicate it 'on command' (sort
> of).
> 
> emacs -Q
> Auto-save? (y or n) n
> Abort (and dump core)? (y or n) y
> Fatal error 6: Abort trap
> 
> Backtrace:
> 0   emacs                               0x000000010009ebe9 emacs_backtrace + 87
> 1   emacs                               0x0000000100084ffa
> terminate_due_to_signal + 97
> 2   emacs                               0x000000010009d77b init_baud_rate + 0
> 3   emacs                               0x000000010008e5d3
> handle_interrupt + 590
> 4   emacs                               0x000000010009e808
> deliver_process_signal + 53
> 5   libsystem_platform.dylib            0x00007fff8c44df1a _sigtramp + 26
> 6   ???                                 0x0000000000000000 0x0 + 0
> 7   libglib-2.0.0.dylib                 0x0000000100888ba1 g_mutex_lock + 26
> 8   libglib-2.0.0.dylib                 0x000000010084c284
> g_main_context_acquire + 42
> 9   emacs                               0x00000001001447cc xg_select + 135
> 10  emacs                               0x000000010012dbe2
> wait_reading_process_output + 2074
> 11  emacs                               0x00000001000075b5 sit_for + 260
> 12  emacs                               0x000000010008be56 read_char + 5024
> 13  emacs                               0x000000010008918c
> read_key_sequence + 1526

This backtrace simply says that Emacs called 'abort'.  And it did so
because the user told it so.

We need to know where it hangs or infloops prior to that.

Thanks.